AOZ Studio Beta - Bug #731

Syntax errors now make the transpiler crash.
04/23/2021 08:16 AM - Brian Flanagan

Status: Resolved Start date: 04/23/2021
Priority: High Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B7)

Description
Example:

abcde
...should produce a syntax error. Instead the transpiler crashes:

/users/USERNAME/Documents/My AOZ Applicaitons/Syntax_Error/Syntax_Error.aoz:1:1: Compiler error:
rash during compilation: %1

Also the message placeholder (%1) is displayed instead of the message.

History

#1 - 04/23/2021 08:56 AM - Brian Flanagan
- Priority changed from Normal to High

#2 - 04/23/2021 09:23 AM - Brian Flanagan

- Assignee set to Baptiste Bideaux

#3 - 08/13/2021 11:07 PM - Brian Flanagan

- Status changed from New to Resolved

Apparently, this has been fixed in B9.
